From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libdnet/
Date: Fri, 8 Mar 2024 16:47:06 +0000 (UTC) [thread overview]
Message-ID: <1709916382.97692e4c8d1739affda946d7785fcc3c16f7d456.sam@gentoo> (raw)
commit: 97692e4c8d1739affda946d7785fcc3c16f7d456
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 8 16:46:22 2024 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar 8 16:46:22 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97692e4c
dev-libs/libdnet: add 1.18.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/libdnet/Manifest | 1 +
dev-libs/libdnet/libdnet-1.18.0.ebuild | 88 ++++++++++++++++++++++++++++++++++
2 files changed, 89 insertions(+)
diff --git a/dev-libs/libdnet/Manifest b/dev-libs/libdnet/Manifest
index d7438fa70aa9..28153e6d5415 100644
--- a/dev-libs/libdnet/Manifest
+++ b/dev-libs/libdnet/Manifest
@@ -1,3 +1,4 @@
DIST libdnet-1.16.2.tar.gz 675191 BLAKE2B 04e4533dbe45700decec4755c7db608d0ca68be05431bf44e6984b2c6a4aec55888fc0f0159916c8ac4a60ec5f743047d2a0a541786cd13fda61739bd7eef0fb SHA512 4b1902553a57eeb56952968e15be032de92d8106dc6e0ebf8e10470605c9c2ed69cb015f4057a5c119d01509c6795fc0dcda85a311d14124dddefdeb6223f848
DIST libdnet-1.16.4.tar.gz 684358 BLAKE2B 40be891c9004288329aaee0c79a29ebf0f095dfaaca4da98fd5ecfd759e22b8d10dc6b906200db1ac5b0a8cfbbea8fbe509da393e60cddeb5f875ad179cdc67a SHA512 6c5556e365047afcc5da3f76b1c99aa70723c076a7cf75c03d96a661a583dfa6d0ab605076e68efffe5ddca2d69875e4bc4938e0874b8aa24915fcfbfe3f3ff9
DIST libdnet-1.17.0.tar.gz 684645 BLAKE2B b208cb41201145411b1949531cb1ab27b4edc6026b8ca703c24231fdb021f46bfe922eb1da11090c271f439339f5384c93168fad3130ed2f89b3d2eca5c7f89f SHA512 b207b2f61e3759a2b17827eabf37b0eb68cb9fa27418f99ee4efd754b01dfe8504dff465664b14054d54df334195d43963d142c7104dc603b2b8b1491590d2a7
+DIST libdnet-1.18.0.tar.gz 740145 BLAKE2B 67f9257e0a05c6c768609c288de9a8704a7ba9d66142bcf849929fa3dbc7b59e379cef2a917d01d4ccfa63b5dfffaf7225f9c67f94e6e91c528a3066fae8c933 SHA512 c074828a1ecd21c292f9120c7afb6b3c11e967d1e0aaca78e75a5558e96f5e65e0d24b68b8386c33c1c28734a3d30f5857d394796e049d521c8b4a9a2c8dcea9
diff --git a/dev-libs/libdnet/libdnet-1.18.0.ebuild b/dev-libs/libdnet/libdnet-1.18.0.ebuild
new file mode 100644
index 000000000000..acb3b2536aa4
--- /dev/null
+++ b/dev-libs/libdnet/libdnet-1.18.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_EXT=1
+DISTUTILS_OPTIONAL=1
+inherit autotools distutils-r1
+
+DESCRIPTION="Simplified, portable interface to several low-level networking routines"
+HOMEPAGE="https://github.com/ofalk/libdnet"
+SRC_URI="https://github.com/ofalk/${PN}/archive/${P}.tar.gz"
+S="${WORKDIR}/${PN}-${P}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="python test"
+# Tests fail in sandbox
+RESTRICT="!test? ( test ) test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="
+ dev-libs/libbsd
+ python? ( ${PYTHON_DEPS} )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ python? ( dev-python/cython[${PYTHON_USEDEP}] )
+ test? ( dev-libs/check )
+"
+
+DOCS=( README.md THANKS )
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e 's/libcheck.a/libcheck.so/g' \
+ configure.ac || die
+ sed -i \
+ -e "s/lib\/libcheck/$(get_libdir)\/libcheck/g" \
+ configure.ac || die
+ sed -i \
+ -e 's|-L$libdir ||g' \
+ dnet-config.in || die
+ sed -i \
+ -e '/^SUBDIRS/s|python||g' \
+ Makefile.am || die
+
+ # Stale e.g. pkg-config macros w/ bashisms
+ rm aclocal.m4 {config,m4}/libtool.m4 || die
+
+ AT_M4DIR="config" eautoreconf
+
+ if use python; then
+ cd python || die
+ distutils-r1_src_prepare
+ fi
+}
+
+src_configure() {
+ econf \
+ $(use_with python) \
+ $(use_enable test check)
+}
+
+src_compile() {
+ default
+
+ if use python; then
+ cd python || die
+ distutils-r1_src_compile
+ fi
+}
+
+src_install() {
+ default
+
+ if use python; then
+ cd python || die
+ unset DOCS
+ distutils-r1_src_install
+ fi
+
+ find "${ED}" -name '*.la' -delete || die
+}
next reply other threads:[~2024-03-08 16:47 UTC|newest]
Thread overview: 68+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-08 16:47 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-23 9:14 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libdnet/ Arthur Zamarin
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-12 12:29 Conrad Kostecki
2024-04-29 7:51 Jakov Smolić
2024-04-29 7:51 Jakov Smolić
2024-03-23 20:27 Sam James
2024-03-23 20:25 Arthur Zamarin
2024-03-23 20:24 Arthur Zamarin
2024-03-23 18:11 Sam James
2024-01-17 5:50 Sam James
2024-01-17 5:47 Sam James
2023-12-14 4:12 Sam James
2023-10-13 15:00 Sam James
2023-09-21 20:11 Sam James
2023-09-08 9:29 Sam James
2023-09-07 20:53 Sam James
2023-06-01 6:43 Sam James
2023-05-05 10:35 Arthur Zamarin
2023-05-02 19:26 Arthur Zamarin
2023-05-02 19:25 Arthur Zamarin
2023-05-02 19:25 Arthur Zamarin
2023-05-02 19:24 Arthur Zamarin
2023-05-02 19:24 Arthur Zamarin
2023-05-01 18:13 Sam James
2023-04-07 11:12 Sam James
2023-03-30 17:25 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:23 Arthur Zamarin
2023-03-30 17:21 Arthur Zamarin
2023-03-15 18:44 Arthur Zamarin
2022-05-16 19:57 Sam James
2021-10-27 6:48 Arthur Zamarin
2021-07-16 1:31 Yixun Lan
2021-02-17 23:40 Sam James
2021-02-16 12:34 Sam James
2021-02-12 13:47 Sam James
2021-02-12 9:55 Sam James
2021-02-07 8:59 Sam James
2021-01-12 23:34 Sam James
2021-01-07 4:10 Sam James
2021-01-07 4:10 Sam James
2021-01-07 4:10 Sam James
2021-01-07 4:10 Sam James
2020-12-27 5:40 Sam James
2020-10-13 15:49 Michał Górny
2020-10-13 10:01 Agostino Sarubbo
2020-10-11 15:39 Sam James
2020-10-11 9:00 Sergei Trofimovich
2020-10-11 8:57 Sergei Trofimovich
2020-10-10 13:43 Sergei Trofimovich
2020-10-10 8:47 Sergei Trofimovich
2020-09-26 21:34 Sergei Trofimovich
2020-09-26 9:20 Jeroen Roovers
2020-09-24 6:59 Agostino Sarubbo
2020-09-24 6:46 Agostino Sarubbo
2020-09-23 10:32 Agostino Sarubbo
2020-09-23 10:29 Agostino Sarubbo
2020-09-23 10:24 Agostino Sarubbo
2020-09-19 20:53 Sam James
2020-09-10 5:37 Jeroen Roovers
2020-08-02 15:07 Jeroen Roovers
2020-08-02 15:07 Jeroen Roovers
2019-02-16 9:24 Jeroen Roovers
2015-09-01 19:08 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1709916382.97692e4c8d1739affda946d7785fcc3c16f7d456.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox